GDB (xrefs)

Public Member Functions | Public Attributes | Private Member Functions | List of all members
cleanup_check.MasterCleanup Class Reference
Inheritance diagram for cleanup_check.MasterCleanup:

## Public Member Functions
def | __init__ (self, other=None)
def | compare_vars (self, definition, argument)
def | note_assignment (self, lhs, rhs)
def | merge (self, other)
def | push (self, location, lhs)
def | pop (self, location, back_to)
def | verify (self, location, arg)
def | isempty (self)
def | inform (self)

## Public Attributes
| cleanups
| aliases

## Private Member Functions
def | _find_var (self, back_to)

## Detailed Description

Definition at line 77 of file cleanup_check.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def cleanup_check.MasterCleanup.__init__ | ( |  | self,
|  |  | other = `None`
| ) |  |

Definition at line 80 of file cleanup_check.py.

## Member Function Documentation

## ◆ _find_var()

def cleanup_check.MasterCleanup._find_var | ( |  | self,
|  |  | back_to
| ) |  |
| private

Definition at line 157 of file cleanup_check.py.

References cleanup_check.MasterCleanup.cleanups, and cleanup_check.MasterCleanup.compare_vars().

Referenced by cleanup_check.MasterCleanup.pop(), and cleanup_check.MasterCleanup.push().

## ◆ compare_vars()

def cleanup_check.MasterCleanup.compare_vars | ( |  | self,
|  |  | definition,
|  |  | argument
| ) |  |

Definition at line 91 of file cleanup_check.py.

References cleanup_check.MasterCleanup.aliases, and cmd_list_element.aliases.

Referenced by cleanup_check.MasterCleanup._find_var(), and cleanup_check.MasterCleanup.verify().

## ◆ inform()

def cleanup_check.MasterCleanup.inform | ( |  | self | ) |

Definition at line 189 of file cleanup_check.py.

References cleanup_check.MasterCleanup.cleanups.

## ◆ isempty()

def cleanup_check.MasterCleanup.isempty | ( |  | self | ) |

Definition at line 184 of file cleanup_check.py.

References cleanup_check.MasterCleanup.cleanups, and cleanup_check.log().

## ◆ merge()

def cleanup_check.MasterCleanup.merge | ( |  | self,
|  |  | other
| ) |  |

Definition at line 106 of file cleanup_check.py.

References cleanup_check.MasterCleanup.cleanups, and cleanup_check.log().

## ◆ note_assignment()

def cleanup_check.MasterCleanup.note_assignment | ( |  | self,
|  |  | lhs,
|  |  | rhs
| ) |  |

Definition at line 100 of file cleanup_check.py.

References cleanup_check.MasterCleanup.aliases, cmd_list_element.aliases, and cleanup_check.log().

## ◆ pop()

def cleanup_check.MasterCleanup.pop | ( |  | self,
|  |  | location,
|  |  | back_to
| ) |  |

Definition at line 167 of file cleanup_check.py.

References cleanup_check.MasterCleanup._find_var(), cleanup_check.MasterCleanup.cleanups, and cleanup_check.log().

## ◆ push()

def cleanup_check.MasterCleanup.push | ( |  | self,
|  |  | location,
|  |  | lhs
| ) |  |

Definition at line 142 of file cleanup_check.py.

References cleanup_check.MasterCleanup._find_var(), cleanup_check.MasterCleanup.cleanups, and cleanup_check.log().

## ◆ verify()

def cleanup_check.MasterCleanup.verify | ( |  | self,
|  |  | location,
|  |  | arg
| ) |  |

Definition at line 177 of file cleanup_check.py.

References cleanup_check.MasterCleanup.cleanups, cleanup_check.MasterCleanup.compare_vars(), and cleanup_check.log().

## Member Data Documentation

## ◆ aliases

cleanup_check.MasterCleanup.aliases

Definition at line 86 of file cleanup_check.py.

Referenced by cleanup_check.MasterCleanup.compare_vars(), and cleanup_check.MasterCleanup.note_assignment().

## ◆ cleanups

cleanup_check.MasterCleanup.cleanups

Definition at line 85 of file cleanup_check.py.

Referenced by cleanup_check.MasterCleanup._find_var(), cleanup_check.MasterCleanup.inform(), cleanup_check.MasterCleanup.isempty(), cleanup_check.MasterCleanup.merge(), cleanup_check.MasterCleanup.pop(), cleanup_check.MasterCleanup.push(), and cleanup_check.MasterCleanup.verify().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/contrib/cleanup_check.py